﻿using InstanceRouterExample.ResolvableTypes;

namespace InstanceRouterExample.Networking.Packets;

public interface IGamePacket;

[PacketForType(typeof(GameStub))]
public record PlayerConnectedPacket(string Name) : IGamePacket
{
    public override string ToString()
    {
        return $"{GetType().Name}: {Name}";
    }
}

[PacketForType(typeof(GameStub))]
public record PlayerDisconnectedPacket(string Name) : IGamePacket
{
    public override string ToString()
    {
        return $"{GetType().Name}: {Name}";
    }
}