﻿using InstanceRouterExample.ResolvableTypes;

namespace InstanceRouterExample.Networking.Packets;
public interface IPlayerPacket
{
    int Nid { get; }
}

[PacketForType(typeof(PlayerStub))]
public record PlayerMovementPacket(int Nid, float X, float Y) : IPlayerPacket
{
    public override string ToString()
    {
        return $"{GetType().Name}; Nid: {Nid}; XY: {X}, {Y}";
    }
}

[PacketForType(typeof(PlayerStub))]
public record PlayerRotationPacket(int Nid, float Rotation) : IPlayerPacket
{
    
    public override string ToString()
    {
        return $"{GetType().Name}; Nid: {Nid}; Rotation: {Rotation}";
    }
}