﻿using InstanceRouterExample.Networking;
using InstanceRouterExample.Networking.Packets;
using InstanceRouterExample.ResolvableTypes;

namespace InstanceRouterExample;

class Program
{
    static void Main(string[] args)
    {
        var game = new GameStub("Some Game Name");
        var network = new NetworkStub();
        game.Players.Add(new ("Bebruh"));
        game.Players.Add(new ("Zheezha"));
        game.Players.Add(new ("Vsratir"));
        
        network.ReceivePacket(new PlayerConnectedPacket("Aboba"));
        network.ReceivePacket(new PlayerMovementPacket(game.Players.IndexOf(game.Players.First(ply => ply.Name == "Bebruh")), 1, 2));
    }
}