﻿using InstanceRouterExample.Resolvers;
using NeonWarfare.Utils.InstanceRouting;

namespace InstanceRouterExample.ResolvableTypes;

public class GameStub : IResolvableBy<GameResolver>
{
    public static GameStub Instance { get; private set; }
    public string GameName { get; }
    public List<PlayerStub> Players { get; } = new();
    
    public GameStub(string gameName)
    {
        if(Instance is not null)
            throw new InvalidOperationException("Game stub instance already exists");
        
        GameName = gameName;
        Instance = this;
    }

    public override string ToString()
    {
        return GameName;
    }
}