﻿using InstanceRouterExample.Networking.Packets;
using InstanceRouterExample.ResolvableTypes;
using NeonWarfare.Utils.InstanceRouting;

namespace InstanceRouterExample.Resolvers;

public class PlayerResolver : IInstanceResolver
{
    public object ResolveInstance(object key)
    {
        if(key is not IPlayerPacket playerPacket)
            throw new ArgumentException($"Invalid key type: {key?.GetType()}");
        
        return GameStub.Instance.Players[playerPacket.Nid];
    }
}